> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Membership Tiers

> Lists all tiers for the current shop

<Note>
  **OAuth scope:** `memberships_read`

  API keys have full access to this endpoint.
</Note>


## OpenAPI

````yaml GET /open-api/v1.0/memberships/tiers
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  contact:
    name: Backend team
    url: https://fourthwall.com
    email: backend@fourthwall.com
  version: unspecified
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /open-api/v1.0/memberships/tiers:
    get:
      tags:
        - 'BETA: Memberships'
      summary: List membership tiers
      description: Lists all tiers for the current shop
      operationId: list-tiers
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/com.fourthwall.openapi.model.MembershipTierV1
      security:
        - oauth:
            - memberships_read
        - basicAuth: []
      externalDocs:
        url: >-
          https://docs.fourthwall.com/api-reference/platform/memberships/list-tiers
components:
  schemas:
    com.fourthwall.openapi.model.MembershipTierV1:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        imageUrl:
          type: string
        variants:
          type: array
          items:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.MembershipTierVariantV1
      required:
        - id
        - name
        - variants
      title: Membership Tier
    com.fourthwall.openapi.model.MembershipTierVariantV1:
      type: object
      properties:
        id:
          type: string
        tierId:
          type: string
        interval:
          type: string
          enum:
            - ANNUAL
            - MONTHLY
        amount:
          $ref: '#/components/schemas/Money'
        offerId:
          type: string
      required:
        - amount
        - id
        - interval
        - tierId
      title: Membership Tier Variant
    Money:
      type: object
      properties:
        value:
          type: number
          example: 10
          minimum: 0
        currency:
          type: string
          example: USD
      required:
        - currency
        - value
      title: Money
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://auth.staging.fourthwall.com/auth/realms/Fourthwall/protocol/openid-connect/auth
          scopes:
            donation_read: donation_read
            order_read: order_read
            order_write: order_write
            fulfillment_write: fulfillment_write
            giveaway_read: giveaway_read
            giveaway_write: giveaway_write
            memberships_read: memberships_read
            memberships_write: memberships_write
            promotions_write: promotions_write
            promotions_read: promotions_read
            offer_read: offer_read
            offer_write: offer_write
            shop_read: shop_read
            thankyou_read: thankyou_read
            thankyou_write: thankyou_write
            webhook_read: webhook_read
            webhook_write: webhook_write
            media_read: media_read
            media_write: media_write
            analytics_read: analytics_read
            samples_read: samples_read
            samples_write: samples_write
            dns_read: dns_read
            dns_write: dns_write
            settings_read: settings_read
            payout_read: payout_read
            integrations_read: integrations_read
    basicAuth:
      type: http
      scheme: basic

````